flagflag  If you want to see English page, please click "English" Button at Left.

Cannot buy land or money from the system

  • このフォーラムに新しいトピックを立てることはできません
  • このフォーラムではゲスト投稿が禁止されています
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 .2 .3 .4 .5 | 投稿日時 2014-7-27 5:35
SkyLine  Not too shy to talk   投稿数: 24
I have a diva-r24886 (0.8) running on WAMP (windows 7 64bit):

Apache 2.4.9
PHP 5.5.12 (Curl and XML-RPC enabled and working)
MySQL 5.6.17
Static IP URI: 50.247.123.201:8002

I've downloaded and installed the money server successfully. Balances update correctly, i can pay and be paid, group creation is correctly charged, and i am apparently able to setup land sales.

For some odd reason, the helper scripts won't work when it comes to buying money from the system (i have setup a banker avatar) or buying land.

When attempting to buy a parcel for sale, or buy money from the viewer, nothing comes up in either the OpenSim console or the MoneyServer console.

A comment about the helpers script on the download page says they don't work in PHP 5.3. Does that mean every newer version of PHP cannot be used to successfully setup helper scripts? What about PHP 5.6 and up?

Thanks in advance
投票数:86 平均点:6.63
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014-7-27 17:48
iseki  Home away from home   投稿数: 1581
Hi,

What version of your OpenSim?

In my OpenSim (0.8.1Dev), land sale does not work.
In case of 0.8, it works.
投票数:64 平均点:4.38
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014-7-27 22:03 | 最終変更
iseki  Home away from home   投稿数: 1581
引用:

iseki wrotes:
In my OpenSim (0.8.1Dev), land sale does not work.
In case of 0.8, it works.

???
Working is different depending on the viewer.
Singularity Vierer 1.8.5: land sale does not work.
FireStorm 4.6.5: land sale worls.

引用:
A comment about the helpers script on the download page says they don't work in PHP 5.3. Does that mean every newer version of PHP cannot be used to successfully setup helper scripts? What about PHP 5.6 and up?

Do not you have any information of error in PHP? Example /var/log/php/php.log
You can specify error log file in php.ini file.
投票数:55 平均点:5.09
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014-7-27 22:20
iseki  Home away from home   投稿数: 1581
Sorry.

setup_scripts.sh is old.
I will correct it.
投票数:60 平均点:5.33
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014-7-28 0:44
SkyLine  Not too shy to talk   投稿数: 24
I'm running 0.8 from the diva distro. I didn't realize land sales might not work on some viewers. So far I tested Singularity, Emergence and Phoenix. Same result on all of them as far as buying money and land sales.

II'm not sure if error log is active with my WAMP install, it's brand new. I'll take a look and do some tests.

Thanks!
投票数:57 平均点:4.04
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014-7-28 12:06 | 最終変更
iseki  Home away from home   投稿数: 1581
Hi.

I was fixed some problems.

Please use new setup_scripts.sh in opensim.currency-0.8.0_1.tar.gz
http://www.nsl.tuis.ac.jp/xoops/modules/d3downloads/index.php?page=singlefile&cid=8&lid=42
or
tar ball
http://www.nsl.tuis.ac.jp/DownLoad/SoftWare/OpenSim/helper_scripts-0.8.0.tar.gz

And if you use PHP-5.5.x, please set true to OPENSIM_DB_MYSQLI in config/config.php
PHP-5.5.x uses MySQLI (or PDO) interface instead of MySQL interface.

About Singularity viewer, it seems that it is viewer side problem.

Thak you for your bug report.
投票数:72 平均点:6.53
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014-7-28 12:19
SkyLine  Not too shy to talk   投稿数: 24
Awesome, thanks!

I'll try that tomorrow and run test on different viewers.
投票数:56 平均点:5.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014-8-2 4:22
SkyLine  Not too shy to talk   投稿数: 24
Will there be a 0.8.01 release of the money server? I noticed the binaries are gone from the package.

Also i'm not well versed in compiling, so i am not sure what to do with setup_scripts.sh.

I tested all viewers, Firestorm, Phoenix, Imprudence and Cool VL, but the result is identical. MySQLI and PDO is enabled on my server and i added the line

define('OPENSIM_DB_MYSQLI','true');

in config/config.php

I should mention i have the following identical scripts under config/ and include/

config.php
cron.php
env_interface.php
投票数:75 平均点:4.93
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014-8-2 8:03
SkyLine  Not too shy to talk   投稿数: 24
I have finally figured out the problem!

Here is what i did initially:

1. i downloaded the helper scripts
2. i copied and pasted include/ config/ and helper/ under bin
3. i configured the scripts with my database settings and paths

What i should have done was:

1. downloaded the helper scripts
2. copy and paste /helper_scripts/ under bin without changing anything
3. replace URL's and paths with my installation

Now it works perfectly.

I confirm being able to purchase money from the system, sell and buy land, with Singularity, Phoenix, Firestorm, Imprudence, Cool LV and Emergence!
投票数:43 平均点:5.58

  条件検索へ


サイト内 検索

ログイン

ユーザー名:

パスワード:


パスワード紛失
新規登録

サブ メニュー

ミニカレンダー

前月2024年 5月翌月
1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31
<今日>

オンライン状況

26 人のユーザが現在オンラインです。 (3 人のユーザが Forum を参照しています。)

登録ユーザ: 0
ゲスト: 26

もっと...

アクセスカウンタ

今日 : 380380380
昨日 : 4763476347634763
総計 : 2368900723689007236890072368900723689007236890072368900723689007
Powered by XOOPS Cube 2.1© 2001-2006 XOOPS Cube Project
Design by XoopsDesign.com